Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d00ba34d-4f95-49f6-9856-cdfe5c07a8f4",
  "jobs_id": "9051d307-be91-45dd-905b-8d7a6104ee18",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "f23844db-3f11-4da3-bf22-107862c1cd69",
    "_parent_id": "4edee0dd-2614-44a1-965f-40010464281b",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "b3fe3969-5bd5-440d-95f0-229720e3b996",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "9d654edc-56ac-4d5f-a102-57940619a583",
      "_parent_id": "2138811d-ccd1-4adc-90c6-d0cd9f044bc4",
      "root_parent_id": "2da33531-d413-4a83-b0b4-4e7af44320cf",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "f55dedd4-9a9a-4627-bfb3-da9cfad3a007",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "5830e1d7-f6a3-431c-a63c-ba369be05c62",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "058c32d7-ab90-4848-beba-8824b78b4cdb",
        "_parent_code": "sample string 6",
        "sales_organization_id": "75076ffb-3817-4319-8ee3-ab0dc080f8bc",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
          "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
          "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
        },
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "equipment_model_id": "ce4c2578-584d-4730-8885-7b6d7fc277dc",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "acadb4e1-fe82-4e2c-86fa-12a0568fa7eb",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "ab8219a9-ef99-40a3-87ae-c9f6104454b7",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "47dae157-ab67-496a-af15-76ff09e5afd7",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "bab3f984-4b77-43d9-be75-6f020d422eee",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
            "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
            "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
          },
          "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
        },
        "equipment_family_id": "e9362d0f-a638-4b44-b8c1-00c2d8168193",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "5830e1d7-f6a3-431c-a63c-ba369be05c62",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "058c32d7-ab90-4848-beba-8824b78b4cdb",
          "_parent_code": "sample string 6",
          "sales_organization_id": "75076ffb-3817-4319-8ee3-ab0dc080f8bc",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
            "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
            "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
          },
          "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
        },
        "date_in_production_since": "2026-10-21T18:55:33.4179609+00:00",
        "date_out_of_production_since": "2026-10-21T18:55:33.4179609+00:00",
        "date_end_support": "2026-10-21T18:55:33.4179609+00:00",
        "sales_organization_id": "8a37bbc8-cadb-448e-bb10-88db18ea3a49",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
          "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
          "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "project_status_id": "6256268b-9fe3-473f-8a8d-011cb36c7bd6",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "c2343390-af6b-4259-a3ae-2ba99ee4a01d",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "75b6859b-9071-41c5-a595-d23f3aba1e1c",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
          "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
          "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "company_id": "a5372558-ad81-46a9-85fa-f51e5e818452",
      "company_code": "sample string 12",
      "db_address_id": "a5e5de88-e588-40a9-b401-dad50b16b7eb",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "d9ccdfe7-65ee-4e37-a1a8-55e45b596b78",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "9b6337dd-66d4-49d8-b661-cf2e802399f9",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-21T18:55:33.4179609+00:00",
      "date_create": "2026-10-21T18:55:33.4179609+00:00",
      "date_update": "2026-10-21T18:55:33.4179609+00:00",
      "updated_by_user_id": "f31cda95-fb2f-4b7b-a58e-fdccd12442fb",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-21T18:55:33.4179609+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-21T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-21T18:55:33.4179609+00:00",
      "date_last_job": "2026-10-21T18:55:33.4179609+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-21T18:55:33.4179609+00:00",
      "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "adf54418-ece1-4f79-a9e5-ce17c80340bb",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "d0cecf06-941b-49c1-b01b-8c1dd5035e78",
      "name": "sample string 2",
      "sales_organization_id": "8f97e452-bf8b-4996-94ef-0437bce1b239",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "e76c3580-2530-40f2-ad68-41ab18bc7c9c",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "7ac3530e-ea9f-4c44-9646-5da858ff8e7c",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "f2f337d3-4db9-4320-a602-e4d6c236e130",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
        "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
        "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
    },
    "job_status_id": "e4cb94ce-388a-4b87-b2fd-f4e634f042fb",
    "job_status_code": "sample string 11",
    "db_address_id": "7dddd958-421c-4c79-a872-3f94817128cf",
    "contact_id": "047a8000-02f3-4173-a56b-ea6b4d8ffe20",
    "requested_by_company_id": "5394a69c-c81a-42dd-ac04-d0cd1e6eac9b",
    "requested_by_contact_id": "89dbe517-483e-4e8e-b64b-c9b4b979d3a2",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-21T18:55:33.4179609+00:00",
    "due_date": "2026-10-21T18:55:33.4179609+00:00",
    "date_create": "2026-10-21T18:55:33.4179609+00:00",
    "date_update": "2026-10-21T18:55:33.4179609+00:00",
    "date_closed": "2026-10-21T18:55:33.4179609+00:00",
    "suggested_user_id": "6c0ca4ae-522b-4080-96c7-30646e29ce47",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "b6d856ae-c665-46dc-9e83-a132c4bd6809",
      "db_language_id": "bc80e4f4-669e-4a1b-85ba-b19b71a8a33f",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-21T18:55:33.4179609+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "83d7b7f1-0feb-41a2-a105-14a68b609f3c",
      "sales_organization": {
        "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
        "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
        "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "4be8cc5a-c897-4a2a-82ef-7fd012e3a01f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "c0b57992-843c-4512-bfe9-c5bb1b1fe269",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "8672f3d7-5a6b-4014-a092-9faa8dc8fc0a"
    },
    "suggested_date_start": "2026-10-21T18:55:33.4179609+00:00",
    "skill_id": "39acd8cc-247a-4d6f-a18e-8fad5bb9b3ba",
    "skill_code": "sample string 32",
    "skill": {
      "id": "4c5fb709-7b80-44ed-9f81-887486b75344",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "f875d159-3723-4966-809f-ae1fbfb740e2",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "0ce0a9c0-8acd-4350-94e4-ee01f7c99f21",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "09351354-4c38-4273-bd6e-6b379aa449f8",
        "db_currency_id": "b600bb87-5c05-4a32-899a-dc1a69b089fd",
        "db_language_id": "15fc60d1-0312-4b5e-9798-61f3df0b36b8",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:55:33.4179609+00:00"
      },
      "modified_dateutc": "2026-10-21T18:55:33.434919+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "c7ed08be-0731-4ecf-8f83-e047bf8e4810",
    "date_reported_by_company": "2026-10-21T18:55:33.434919+00:00",
    "id2": 36,
    "company_id": "eebc6760-db86-44dc-bcba-c8678bf99ace",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "837a81bb-669b-4666-b104-f0bb53d911fb",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-21T18:55:33.434919+00:00"
  },
  "work_instruction_details_id": "d7ded150-6f54-405f-b6a2-76dec50ba07b",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "a8ea8e12-bb80-4157-b2c7-ada97a2ef74c",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "924ce866-7baa-407c-b7ab-12047896aaf2",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-21T18:55:33.434919+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "247fcd70-c632-4b5e-bc23-cd94741b84ab",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-21T18:55:33.434919+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.